/*
*2013-09-23
*Program 2
*Bradley Forney
*CIS 127
*Professor: Craig Sharp
* 
* Purpose: Creates 3 Pet objects and 2 owner objects.
*/


/**
 *Description:
 *You have been contacted by a local veterinarian to create a Customer Management System. Before you can build the entire system,you decide that you must first represent pets and their owners.
 *The purpose of this project is to expose you to classes and objects, and to provide you with the experience of building each. In addition, it provides you with an opportunity to learn proper programming style.
 *
 *Procedure:
 *Create a class for a pet, and another class for an owner. The pet class must have an attribute to represent the pet’s name, type (dog, cat, fish), and owner. The owner class must have attributes to represent their first and last name, email address, and phone number.
 *
 *After you have created the classes, create a small program that instantiates 2 pets with the same owner, and another pet with a different owner. The program should print the pets and owners to the screen.
 * 
 *Deliverables:
 * An OO program that implements the two classes and two objects described in the
 * procedure section above. Each file must begin with comments indicating that you are the author, and describing the purpose of the file’s contents.
 *
 *
 *Part 2:
 *You have been contacted by a local veterinarian to create a Customer Management System. Since you’ve created classes to represent pets and their 
 *owners, you’ve decided that now you need to provide an interface for veterinarians to insert clients into the system and manage them.
 *
 * @author bforney
 */
 
 
import java.util.Scanner;
import java.util.ArrayList; //Allows for ArrayList type to be used. Used for dynamically expanding arrays needed to track order here
 
public class VetApp {

    /**
     * @author Bradley Forney
     * 
     * @param args the command line arguments
     */
    public static void main(String[] args) {
		/*Begin template for getting stuff done
			//GETTERS
				petObject.getPetName(index);
				petObject.getPetType(index);
				ownerObject.getOwnerFirstName(index);
				ownerObject.getOwnerLastName(index);
				ownerObject.getOwnerEmailAddress(index);
				ownerObject.getOwnerPhoneNumber(index);
				vetTechObject.getVetTechFirstName(index);
				vetTechObject.getVetTechLastName(index);
			//GET SIZE
				petObject.getSizePetName();
				petObject.getSizePetType();
				ownerObject.getSizeOwnerFirstName();
				ownerObject.getSizeOwnerLastName();
				ownerObject.getSizeOwnerEmailAddress();
				ownerObject.getSizeOwnerPhoneNumber();
				vetTechObject.getSizeVetTechFirstName();
				vetTechObject.getSizeVetTechLastName();
			//ADD NEW
				petObject.setNewPetName(petName);
				petObject.setNewPetType(petType);
				ownerObject.setNewOwnerFirstName(ownerFirstName);
				ownerObject.setNewOwnerLastName(ownerLastName);
				ownerObject.setNewOwnerEmailAddress(ownerEmailAddress);
				ownerObject.setNewOwnerPhoneNumber(ownerPhoneNumber);
				vetTechObject.setNewVetTechFirstName(vetTechFirstName);
				vetTechObject.setNewVetTechLastName(vetTechLastName);
			//MODIFY
				petObject.modifyPetName(index, petName);
				petObject.modifyPetType(index, petType);
				ownerObject.modifyOwnerFirstName(index, ownerFirstName);
				ownerObject.modifyOwnerLastName(index, ownerLastName);
				ownerObject.modifyOwnerEmailAddress(index, ownerEmailAddress);
				ownerObject.modifyOwnerPhoneNumber(index, ownerPhoneNumber);
				vetTechObject.modifyVetTechFirstName(index, vetTechFirstName);
				vetTechObject.modifyVetTechLastName(index, vetTechLastName);
			//DELETE
				petObject.deletePetName(index);
				petObject.deletePetType(index);
				ownerObject.deleteOwnerFirstName(index);
				ownerObject.deleteOwnerLastName(index);
				ownerObject.deleteOwnerEmailAddress(index);
				ownerObject.deleteOwnerPhoneNumber(index);
				vetTechObject.deleteVetTechFirstName(index);
				vetTechObject.deleteVetTechLastName(index);
			//SEARCHES
				TBD
		End template for getting stuff done*/
		
		Scanner keyboard = new Scanner(System.in);
		
		//Variables
		int index;//Used for telling location within arrays in objects
		String entry;
		
		//Create starting objects
        Pet petObject = new Pet();
		Owner ownerObject = new Owner();
		VetTech vetTechObject = new VetTech();

		System.out.println("\n---------------------------");
		System.out.println("Enter 3 Pets, their Owner, and their Vet");
		
		for(index=0;index<3;index++)
		{
		//Pet
			System.out.print("\n"+index+") "+"Pet Name: ");
			entry=keyboard.nextLine();
				petObject.setNewPetName(entry);
			System.out.print(index+") "+"Pet Type: ");
			entry=keyboard.nextLine();
				petObject.setNewPetType(entry);
			System.out.println("\t"+index+") "+"Results: "+petObject.getPetName(index)+" is a "+petObject.getPetType(index));
		//Owner
			System.out.print("\n"+index+") "+petObject.getPetName(index)+"'s owner's First Name: ");
			entry=keyboard.nextLine();
				ownerObject.setNewOwnerFirstName(entry);
			System.out.print(index+") "+petObject.getPetName(index)+"'s owner's Last Name: ");
			entry=keyboard.nextLine();	
				ownerObject.setNewOwnerLastName(entry);
			System.out.print(index+") "+petObject.getPetName(index)+"'s owner's Email Address: ");
			entry=keyboard.nextLine();	
				ownerObject.setNewOwnerEmailAddress(entry);
			System.out.print(index+") "+petObject.getPetName(index)+"'s owner's Phone Number: ");
			entry=keyboard.nextLine();	
				ownerObject.setNewOwnerPhoneNumber(entry);
			System.out.println("\t"+index+") "+petObject.getPetName(index)+"'s owner:");
			System.out.println("\t"+index+") "+ownerObject.getOwnerFirstName(index)+" "+ownerObject.getOwnerLastName(index));
			System.out.println("\t"+index+") "+ownerObject.getOwnerEmailAddress(index));
			System.out.println("\t"+index+") "+ownerObject.getOwnerPhoneNumber(index));
		//VetTech
			System.out.print("\n"+index+") "+petObject.getPetName(index)+"'s Vet's First Name: ");
			entry=keyboard.nextLine();
				vetTechObject.setNewVetTechFirstName(entry);
			System.out.print(index+") "+petObject.getPetName(index)+"'s Vet's Last Name: ");
			entry=keyboard.nextLine();	
				vetTechObject.setNewVetTechLastName(entry);
			System.out.println("\t"+index+") "+petObject.getPetName(index)+"'s Vet:");	
			System.out.println("\t"+index+") "+vetTechObject.getVetTechFirstName(index)+" "+vetTechObject.getVetTechLastName(index));
		}
    }
	
	//MENU: Actions
	/*public static int breadChoice()
	{
		Scanner keyboard = new Scanner(System.in);
		int choice=-1;
		while (choice<1 || choice>3)
		{ 
			System.out.println("Please choose your bread (type 1-3 only):");
			System.out.println("1) Wheat"+"\n"+"2) White"+"\n"+"3) Rye"+"\n");
			choice=keyboard.nextInt();
		}
		return choice;
		
	}
	*/
	
	//MENU: Object Type
	/*public static int breadChoice()
	{
		Scanner keyboard = new Scanner(System.in);
		int choice=-1;
		while (choice<1 || choice>3)
		{ 
			System.out.println("Please choose your bread (type 1-3 only):");
			System.out.println("1) Wheat"+"\n"+"2) White"+"\n"+"3) Rye"+"\n");
			choice=keyboard.nextInt();
		}
		return choice;
		
	}
	*/
	/*
	//Action: New Entry
	public void NewPet(int index)
	{
		//Pet 0
			index=0;
			System.out.print("\nPet Name: ");
			entry=keyboard.nextLine();
				petObject.setNewPetName(entry);
			System.out.print("Pet Type: ");
			entry=keyboard.nextLine();
				petObject.setNewPetType(entry);
			System.out.println("Results: "+petObject.getPetName(index)+" is a "+petObject.getPetType(index));
	}
	
	public void NewOwner(int index)
	{
		//Owner 0
			System.out.print(petObject.getPetName(index)+"'s owner's First Name: ");
			entry=keyboard.nextLine();
				ownerObject.setNewOwnerFirstName(entry);
			System.out.print(petObject.getPetName(index)+"'s owner's Last Name: ");
			entry=keyboard.nextLine();	
				ownerObject.setNewOwnerLastName(entry);
			System.out.print(petObject.getPetName(index)+"'s owner's Email Address: ");
			entry=keyboard.nextLine();	
				ownerObject.setNewOwnerEmailAddress(entry);
			System.out.print(petObject.getPetName(index)+"'s owner's Phone Number: ");
			entry=keyboard.nextLine();	
				ownerObject.setNewOwnerPhoneNumber(entry);
			System.out.println("Results: "+petObject.getPetName(index)+"'s owner:");
			System.out.println(ownerObject.getOwnerFirstName(index)+" "+ownerObject.getOwnerLastName(index));
			System.out.println(ownerObject.getOwnerEmailAddress(index));
			System.out.println(ownerObject.getOwnerPhoneNumber(index));
	}
	public void NewVetTech(int index)
	{			
		//VetTech 0
			System.out.print(petObject.getPetName(index)+"'s Vet's First Name: ");
			entry=keyboard.nextLine();
				vetTechObject.setNewVetTechFirstName(entry);
			System.out.print(petObject.getPetName(index)+"'s Vet's Last Name: ");
			entry=keyboard.nextLine();	
				vetTechObject.setNewVetTechLastName(entry);
			System.out.println("Results: "+petObject.getPetName(index)+"'s Vet:");	
			System.out.println(vetTechObject.getVetTechFirstName(index)+" "+vetTechObject.getVetTechLastName(index));
		
	}
	*/
	
	//Action: Modify Entry
	/*public static int breadChoice()
	{
		Scanner keyboard = new Scanner(System.in);
		int choice=-1;
		while (choice<1 || choice>3)
		{ 
			System.out.println("Please choose your bread (type 1-3 only):");
			System.out.println("1) Wheat"+"\n"+"2) White"+"\n"+"3) Rye"+"\n");
			choice=keyboard.nextInt();
		}
		return choice;
		
	}
	*/
	
	//Action: Delete Entry
	/*public static int breadChoice()
	{
		Scanner keyboard = new Scanner(System.in);
		int choice=-1;
		while (choice<1 || choice>3)
		{ 
			System.out.println("Please choose your bread (type 1-3 only):");
			System.out.println("1) Wheat"+"\n"+"2) White"+"\n"+"3) Rye"+"\n");
			choice=keyboard.nextInt();
		}
		return choice;
		
	}
	*/
	
	//Action: Search Entry
	/*public static int breadChoice()
	{
		Scanner keyboard = new Scanner(System.in);
		int choice=-1;
		while (choice<1 || choice>3)
		{ 
			System.out.println("Please choose your bread (type 1-3 only):");
			System.out.println("1) Wheat"+"\n"+"2) White"+"\n"+"3) Rye"+"\n");
			choice=keyboard.nextInt();
		}
		return choice;
		
	}
	*/
}
